Get document content url
GET/documents/:documentId/url
Returns a URL for the document's contents; this URL will expire (the default is 48 hours)
Request
Path Parameters
Document Identifier
Query Parameters
Site Identifier
Artifact Document Identifier
Version Key (version key required URL encoding)
Indicates the number of hours request is valid for
Share Identifier
Request inline delivery. S3-backed SVG documents identified by content type or filename are always served as attachments.
falseAllow the by pass of watermark (only allowed by GOVERN / ADMIN permissions)
falsePossible values: [short]
Return a shortlink URL when set to short; available as an Add-On Module
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Document Identifier
Artifact Identifier
Document content url
headers
object
{
"documentId": "string",
"artifactId": "string",
"url": "string",
"headers": {}
}